.chat {
  &-item {
    height: 72px;
    border-radius: 10px;
    align-items: flex-start;
    flex-direction: row;
    cursor: pointer;
    padding: 0.5625rem;
    overflow: hidden;
    display: flex;
    position: relative;
    font-family: "IRANSans";

    &:hover {
      background-color: var(--light-secondary-text-color);
    }

    &.is-verified .verify::after {
      content: "verify";
      background-color: blue;
    }

    .dialog-avatar,
    .user-caption {
      pointer-events: none;
      position: relative;
    }

    .dialog-avatar {
      flex: 0 0 auto;
    }

    .user-caption {
      color: var(--secondary-text-color);
      flex: 1 1 auto;
      padding: 0.0625rem 0.4375rem 0.0625rem 0.5625rem;
    }

    .dialog-subtitle-badge,
    .sending-status-icon {
      display: none;
    }

    &.is-failed,
    &.is-pending,
    &.is-sent,
    &.is-seen {
      .sending-status-icon {
        display: inline-block;
      }
    }

    &.is-unseen,
    &.is-pinned {
      .dialog-subtitle-badge {
        display: inline-block;
      }
    }

    &.is-sent {
      .sending-status-icon {
        &::before {
          content: $rbico-check;
        }
      }
    }

    &.is-seen {
      .sending-status-icon {
        &::before {
          content: $rbico-checks;
        }
      }
    }

    &.is-pinned {
      .dialog-subtitle-badge {
        &::before {
          content: $rbico-chatspinned;
        }
      }
    }

    &.is-pending {
      .sending-status-icon {
        color: var(--secondary-text-color);

        &::before {
          content: $rbico-sending;
        }
      }
    }

    &.is-failed {
      .sending-status-icon {
        color: var(--danger);

        &::before {
          content: $rbico-sendingerror;
        }
      }
    }

    &.is-unseen {
      --dialog-subtitle-badge-bg: var(--chatlist-status-color);

      .dialog-subtitle-badge {
        background-color: var(--dialog-subtitle-badge-bg);

        &::before {
          content: none;
        }
      }

      &.is-muted {
        --dialog-subtitle-badge-bg: var(--secondary-color);
      }
    }

    // &.is-typing {
    // }
    .peer-typing {
      display: inline-flex;
      transform: translateY(-2px);

      &-container {
        --color: var(--secondary-text-color);
        display: flex;
        align-items: center;
      }

      &-description {
        margin-right: .5rem;
      }

      &-dot {
        width: 6px;
        height: 6px;
        border-radius: 50%;
        background-color: var(--color);
        margin: 0 .5px;
        display: inline-block;
        vertical-align: middle;
        animation-duration: .6s;
        animation-iteration-count: infinite;
        animation-timing-function: linear;
        animation-name: dotMiddle
      }
    }

    &.is-selecting {
      @include respond-to(not-handhelds) {
        background: var(--primary-color) !important;
      }

      .message-status,
      .dialog-subtitle-badge:before,
      .user-caption,
      .user-title {
        @include respond-to(not-handhelds) {
          color: #fff;
        }
      }
    }
  }

  &-list {
    padding: 0.5rem;

    >div {
      position: relative;
    }
  }
}